云服务器100元/年| 免费试用云产品

API网关 APIG

API网关(API Gateway)是为企业开发者及合作伙伴提供的高性能、高可用、高安全的API托管服务, 帮助企业轻松构建、管理和部署不同规模的API。简单、快速、低成本、低风险的实现内部系统集成、成熟业务能力开放及业务能力变现

¥0.03元/万次起

https://www.huaweicloud.com/product/apig.html




    api 升级兼容 内容精选 换一换
  • 设备升级

    设备升级 查询版本包列表 查询指定版本包 删除指定版本包 创建软件升级任务 创建固件升级任务 查询指定任务信息 查询指定任务的子任务详情 查询任务列表 父主题: 应用侧API参考

    来自:帮助中心

    查看更多 →

  • 兼容性说明

  • api 升级兼容 相关内容
  • 使用前必读

    。 C-Linux - Java - 使用限制 API的演进会保持前向兼容性,若接口升级了版本,其旧版本接口可以继续使用,但功能不再做增强,新增功能仅在新版本接口中提供。 应用在接收处理物联网平台发送的响应消息和推送消息时,需要兼容或忽略消息中的新增参数,不能因为消息中的新增参数导致应用的处理异常。

    来自:帮助中心

    查看更多 →

  • 兼容性说明

  • api 升级兼容 更多内容
  • 使用前必读

    使用限制 API的演进会保持前向兼容性,若接口升级了版本,其旧版本接口可以继续使用,但功能不再做增强,新增功能仅在新版本接口中提供。 应用在接收处理物联网平台发送的响应消息和推送消息时,需要兼容或忽略消息中的新增参数,不能因为消息中的新增参数导致应用的处理异常。 调用API的其他使用限制,请参见物联网平台的使用限制。

    来自:帮助中心

    查看更多 →

  • 升级图(1.0.5)

    升级图(1.0.5) 功能介绍 升级图。图引擎服务会定期升级版本,用户可根据需要升级图。 调试 您可以在API Explorer中调试该接口,支持自动认证鉴权。API Explorer可以自动生成SDK代码示例,并提供SDK代码示例调试功能。 URI POST /v1.0/{pr

    来自:帮助中心

    查看更多 →

  • 兼容性说明

  • 兼容性说明

  • 兼容旧版本的功能

    兼容性说明 VPC功能及参数说明 CMDLIST功能及参数说明 VENC功能及参数说明

    来自:帮助中心

    查看更多 →

  • 兼容旧版本的功能

  • 兼容旧版本的功能

  • 兼容旧版本的功能

  • 兼容性详情

    √ √ - 运维管理 创建数据库角色 仅API支持该功能 √ √ √ √ √ √ - 创建数据库用户 仅API支持该功能 √ √ √ √ √ √ - 删除数据库角色 仅API支持该功能 √ √ √ √ √ √ - 删除数据库用户 仅API支持该功能 √ √ √ √ √ √ - 秒级监控

    来自:帮助中心

    查看更多 →

  • 查询版本包列表

    查询版本包列表 接口说明 在进行设备版本升级前,应用服务器可调用此接口查询已经上传到物联网平台的版本升级包列表信息,确保设备要升级的版本包已上传到平台,可根据条件查询满足要求的版本包。 URI 请求方法 GET URI /iodm/northbound/v1.5.0/category

    来自:帮助中心

    查看更多 →

  • 兼容性说明

  • 限制约束

    限制约束 API的演进会保持前向兼容性,若接口升级了版本,其旧版本接口可以继续使用,但功能不再做增强,新增功能仅在新版本接口中提供。 更详细的限制请参见具体API的说明。 父主题: 使用前必读

    来自:帮助中心

    查看更多 →

  • 设备升级

  • 查询指定版本包

    查询指定版本包 接口说明 在进行设备版本升级前,应用服务器可调用此接口在物联网平台查询某个版本升级包的信息,确保设备要升级的版本包已上传到平台,可根据版本包ID查询指定版本包信息,在调用该接口前需要通过“查询版本包列表”接口查询获得版本包ID。 URI 请求方法 GET URI /iodm/northbound/v1

    来自:帮助中心

    查看更多 →

  • 使用前必读

    您可以使用本文档提供API来使用IoT边缘平台的服务,包括北向NA管理、南向IA配置项管理、北向HTTP请求代理等,平台支持的全部API请参见API列表。 在调用IoT边缘平台API之前,请确保已经充分了解相关概念,详细信息请参见产品介绍。 使用限制 API的演进会保持前向兼容性,若接口升级了

    来自:帮助中心

    查看更多 →

  • 查询指定任务的子任务详情

    查询指定任务的子任务详情 接口说明 在创建了设备软件升级任务或固件升级任务后,任务中涉及的每个设备的升级是一个子任务(即升级任务中涉及多少个设备,就有多少个子任务)。应用服务器可调用此接口查询某个升级任务中各个子任务的详细信息,以查看子任务的具体执行情况。 URI 请求方法 GET

    来自:帮助中心

    查看更多 →

  • 升级边缘应用

    升级边缘应用 功能介绍 升级边缘应用前需确保: Edge处于在线状态。相关方法请参见:查询Edge。 待升级的应用版本状态已更新至发布。相关方法请参见:更新应用版本状态 如升级边缘应用接口调用成功,稍后边缘设备将会自动升级至新版本无需手动操作。自动安装完成后应用将处于运行中的状态。

    来自:帮助中心

    查看更多 →

  • 升级设备固件

    升级设备固件 功能介绍 升级设备固件。 URI PUT /v3/{project_id}/node-manager/node/{node_id}/firmware/{firmware_id} 表1 路径参数 参数 是否必选 参数类型 描述 project_id 是 String 项目ID。获取方法请参见获取项目ID

    来自:帮助中心

    查看更多 →

  • 终端控制类

    不使用 Param1 升级进度 Param2 总大小 Data 不使用 升级进度指示 消息名称 MSG_SYS_UPG_UPGING 功能描述 在系统正在升级过程中,会陆续收到这个消息,表示正在升级。 是否自动推送 是 subMsgID 不使用 Param1 升级进度 Param2 总大小

    来自:帮助中心

    查看更多 →

  • 兼容旧版本的功能

  • 设备上报升级状态

    result_code 必选 Integer 设备的升级状态,结果码定义如下: 0:处理成功 1:设备使用中 2:信号质量差 3:已经是最新版本 4:电量不足 5:剩余空间不足 6:下载超时 7:升级包校验失败 8:升级包类型不支持 9:内存不足 10:安装升级包失败 255: 内部异常 progress

    来自:帮助中心

    查看更多 →

  • 升级内核小版本

    升级内核小版本 功能介绍 MySQL、PostgreSQL支持手动升级内核小版本。 调用接口前,您需要了解API 认证鉴权。 调试 您可以在API Explorer中调试该接口接口约束 该接口仅支持MySQL、PostgreSQL引擎。 RDS for PostgreSQL升级内核小版本时具有以下约束:

    来自:帮助中心

    查看更多 →

  • CMDLIST功能及参数说明

  • 设备升级

    设备升级 查询版本包列表 查询指定版本包 删除指定版本包 创建软件升级任务 创建固件升级任务 查询指定升级任务结果 查询指定升级任务子任务详情 查询升级任务列表 父主题: 应用侧Python SDK API参考

    来自:帮助中心

    查看更多 →

  • 设备升级

    设备升级 查询版本包列表 查询指定版本包 删除指定版本包 创建软件升级任务 创建固件升级任务 查询指定升级任务结果 查询指定升级任务子任务详情 查询升级任务列表 父主题: 应用侧JAVA SDK API参考

    来自:帮助中心

    查看更多 →

  • 限制与兼容性说明

    operationId API名称 作为API名称 填充为API名称 operation.description API描述 作为API描述 填充为API描述 operation.parameters API前端请求参数 作为API请求参数 填充为API请求参数 operation

    来自:帮助中心

    查看更多 →

  • CMDLIST功能及参数说明

  • VENC功能及参数说明

  • VPC功能及参数说明

  • VPC功能及参数说明

  • 查询集群详情

    查询集群详情 功能介绍 查看指定集群的详细信息。该接口兼容Sahara。 接口约束 无 调试 您可以在API Explorer中调试该接口,支持自动认证鉴权。API Explorer可以自动生成SDK代码示例,并提供SDK代码示例调试功能。 URI GET /v1.1/{pro

    来自:帮助中心

    查看更多 →

  • 推送通知

    删除设备通知 设备消息确认通知 设备命令响应通知 命令状态变化通知 规则事件通知 设备影子状态变更通知 软件升级状态变更通知 软件升级结果通知 固件升级状态变更通知 固件升级结果通知 父主题: 订阅管理-V3

    来自:帮助中心

    查看更多 →

  • 创建软件升级任务

  • 数据库补丁升级

    数据库补丁升级 功能介绍 升级数据库补丁版本。 接口约束 该接口支持GaussDB(for Cassandra)数据库实例。 冻结实例、异常实例,无法升级补丁版本。 实例中存在异常节点,无法升级补丁版本。 请先根据实例详情查询接口返回结果中的“patch_available”字段判断是否支持升级。

    来自:帮助中心

    查看更多 →

共380条
相关推荐
看了本文的人还看了